FLAC: FLAC::Metadata::Padding Class Reference

FLAC 1.4.1 Free Lossless Audio Codec

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::Padding Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Padding:

## Public Member Functions
| Padding (const Padding &object)
| Padding (const ::FLAC__StreamMetadata &object)
| Padding (const ::FLAC__StreamMetadata *object)
| Padding (::FLAC__StreamMetadata *object, bool copy)
| Padding (uint32_t length)
Padding & | operator= (const Padding &object)
Padding & | operator= (const ::FLAC__StreamMetadata &object)
Padding & | operator= (const ::FLAC__StreamMetadata *object)
Padding & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const Padding &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const Padding &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
void | set_length (uint32_t length)
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

PADDING metadata block. See the overview for more, and the format specification.

The documentation for this class was generated from the following file:

- /build/flac/src/flac/include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation |